--- a/src/mount_davfs.c
+++ b/src/mount_davfs.c
@@ -672,7 +672,7 @@ check_fstab(const dav_args *args)
     struct mntent *ft = getmntent(fstab);
     while (ft) {
         if (ft->mnt_dir) {
-            char *mp = canonicalize_file_name(ft->mnt_dir);
+            char *mp = realpath(ft->mnt_dir, NULL);
             if (mp) {
                 if (strcmp(mp, mpoint) == 0) {
                     free(mp);
@@ -911,7 +911,7 @@ parse_commandline(int argc, char *argv[]
             url = ne_strdup(argv[i]);
         }
         i++;
-        mpoint = canonicalize_file_name(argv[i]);
+        mpoint = realpath(argv[i], NULL);
         if (!mpoint)
             error(EXIT_FAILURE, 0,
                   _("can't evaluate path of mount point %s"), mpoint);
@@ -2131,7 +2131,7 @@ read_config(dav_args *args, const char *
                 error_at_line(EXIT_FAILURE, 0, filename, lineno,
                               _("malformed line"));
             *(parmv[0] + strlen(parmv[0]) - 1) = '\0';
-            char *mp = canonicalize_file_name(parmv[0] + 1);
+            char *mp = realpath(parmv[0] + 1, NULL);
             if (mp) {
                 applies = (strcmp(mp, mpoint) == 0);
                 free(mp);
@@ -2386,7 +2386,7 @@ read_secrets(dav_args *args, const char
             if (scheme && !port)
                 port = ne_uri_defaultport(scheme);
 
-            char *mp = canonicalize_file_name(parmv[0]);
+            char *mp = realpath(parmv[0], NULL);
 
             char *ccert = NULL;
             if (args->clicert) {
--- a/src/umount_davfs.c
+++ b/src/umount_davfs.c
@@ -118,7 +118,7 @@ main(int argc, char *argv[])
     if (optind < (argc - 1))
         error(EXIT_FAILURE, 0, _("too many arguments"));
 
-    char *mpoint = canonicalize_file_name(argv[optind]);
+    char *mpoint = realpath(argv[optind], NULL);
 
     char *umount_command = NULL;
     if (mpoint) {
